import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';

@Component({
  selector: 'app-structure-type',
  templateUrl: './structure-type.component.html',
})
export class StructureTypeComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Output() typeStructure = new EventEmitter<string>();
  @Output() validateForm = new EventEmitter<any>();

  ngOnInit(): void {
    this.validateForm.emit();
  }

  public setTypeStructure(value: string) {
    this.typeStructure.emit(value);
  }
  public goBack(): void {
    history.back();
  }
}
