import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { OrientationFormViewComponent } from './orientation-form-view.component';
import { SharedModule } from '../../shared/shared.module';
import { OrientationRoutingModule } from './orientation-routing.module';
import { NeedsSelectionComponent } from './global-components/needs-selection/needs-selection.component';
import { AccompanimentTypeComponent } from './online-demarch/accompaniment-type/accompaniment-type.component';
import { ProgressBarComponent } from './global-components/progress-bar/progress-bar.component';
import { NavigationComponent } from './global-components/navigation/navigation.component';
import { MediationBeneciaryInfoComponent } from './online-demarch/mediation-beneciary-info/mediation-beneciary-info.component';
import { MediationHoursSelectionComponent } from './online-demarch/mediation-hours-selection/mediation-hours-selection.component';
import { MediationRecapComponent } from './online-demarch/mediation-recap/mediation-recap.component';
import { OnlineDemarchComponent } from './online-demarch/online-demarch/online-demarch.component';
import { OnlineDemarchFormComponent } from './online-demarch/onlineDemarch-form.component';
import { MultiRadioFormComponent } from './global-components/multi-radio-form/multi-radio-form.component';
import { PrintHeaderComponent } from './global-components/print-header/print-header.component';
import { LoginModalComponent } from './global-components/login-modal/login-modal.component';

@NgModule({
  declarations: [
    OrientationFormViewComponent,
    ProgressBarComponent,
    NeedsSelectionComponent,
    NavigationComponent,
    MultiRadioFormComponent,
    OnlineDemarchComponent,
    AccompanimentTypeComponent,
    MediationBeneciaryInfoComponent,
    MediationHoursSelectionComponent,
    MediationRecapComponent,
    OnlineDemarchFormComponent,
    PrintHeaderComponent,
    LoginModalComponent,
  ],
  imports: [CommonModule, OrientationRoutingModule, SharedModule],
})
export class OrientationModule {}
